Bug 194276 - Review Request: kdeaccessibility: KDE accessibility tools
Review Request: kdeaccessibility: KDE accessibility tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 15:49 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 08:42:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)
spec file (6.48 KB, text/plain)
2006-07-11 20:41 EDT, Chitlesh GOORAH
no flags Details

  None (edit)
Description Rex Dieter 2006-06-06 15:49:35 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdeaccessibility.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdeaccessibility-3.5.3-2.src.rpm
Description:
KDE Accessibility Aids:
kmag, a screen magnifier,
kmousetool, a program for people whom it hurts to click the mouse,
and KMouth, a program that allows people who have lost their
voice to let their computer speak for them.
Comment 1 Rex Dieter 2006-06-07 07:47:12 EDT
%changelog
* Mon Jun 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:3.5.3-2
- cleanup for Extras
- %%doc: COPYING, app docs (README, TODO, etc...)
- follow icon spec
- BR: desktop-file-utils, alsa-lib-devel
- BR: libXtst-devel (fc5+)

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 1:3.5.3-1
- update to 3.5.3
Comment 2 Chitlesh GOORAH 2006-07-11 04:34:43 EDT
Helle

SRPM:  URL Not found
Comment 4 Chitlesh GOORAH 2006-07-11 11:17:04 EDT
1.
# FIXME/TODO: get dfi to shut-the-hell-up about KDE's use of Keywords= and 
# use of invalidate characters... bah.

What is it about ? Can you document me a bit please?

2.
Duplicates

desktop-file-install \
  --add-category="X-Fedora" --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop ||:

desktop-file-install \
  --add-category="X-Fedora" --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/*.desktop ||:

3.
chitlesh(~)[0]$rpmlint -i kdeaccessibility-3.5.3-2.src.rpm
W: kdeaccessibility mixed-use-of-spaces-and-tabs
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 5 Chitlesh GOORAH 2006-07-11 11:20:24 EDT
Sorry forget the 2.
Comment 6 Rex Dieter 2006-07-11 11:26:22 EDT
1.  Build the package, and you'll see desktop-file-install refusing to process
perfectly legal .desktop files, yielding errors (which *should* be at most
warnings):
...
error: invalid characters in value of key "Keywords[bg]", keys of type string
may contain ASCII characters except control characters
...
Comment 7 Chitlesh GOORAH 2006-07-11 18:23:13 EDT
I see, ill have a look at them
Comment 8 Chitlesh GOORAH 2006-07-11 20:39:41 EDT
1.
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kmag.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kmousetool.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kmouth.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"

Use the following to correct the shut-the-hell-up about KDE's use of DocPath:

for f in
$RPM_BUILD_ROOT%{_datadir}/applnk/Applications/{kmag,kmousetool,kmouth}.desktop
do
  %{__sed} -i -e 's/DocPath/X-DocPath/' $f
done



2.
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kcmkttsd.desktop:
warning: file contains key "Keywords", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kcmkttsd.desktop:
warning: file contains key "ServiceTypes", this key is currently reserved for
use within KDE, and should in the future KDE releases be prefixed by "X-"
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kcmkttsd.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"


you can use this before desktop-file-installs, to correct the shut-the-hell-up
about KDE's use of 'Keywords':

%{__sed} -i \
         -e 's/Keywords/X-Keywords/'         \
         -e 's/ServiceTypes/X-ServiceTypes/' \
         -e 's/DocPath/X-DocPath/'           \
         $RPM_BUILD_ROOT%{_datadir}/applications/kde/kcmkttsd.desktop



3.
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/ksayit.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"

Solution:

%{__sed} -i -e 's/DocPath/X-DocPath/'
$RPM_BUILD_ROOT%{_datadir}/applications/kde/ksayit.desktop

4.
/var/tmp/kdeaccessibility-3.5.3-2-root-chitlesh/usr/share/applications/kde/kttsmgr.desktop:
warning: non-standard key "MimeTypes" lacks the "X-" prefix


5.
Now the repetitive:

/var/tmp/kdeaccessibility-3.5.3-2.fc5-root-mockbuild/usr/share/applications/kde/kcmkttsd.desktop:
error: invalid characters in value of key "Keywords[ca]", keys of type string
may contain ASCII characters except control characters

have gone. yooohoo :)

I've updated the spec file, see attachment.

I've left W: kdeaccessibility mixed-use-of-spaces-and-tabs for you to correct :)

Post an updated SRPM, Rex, i'll review it.
Comment 9 Chitlesh GOORAH 2006-07-11 20:40:38 EDT
4
Solution:

%{__sed} -i -e 's/MimeTypes/X-MimeTypes/'
$RPM_BUILD_ROOT%{_datadir}/applications/kde/kttsmgr.desktop
Comment 10 Chitlesh GOORAH 2006-07-11 20:41:47 EDT
Created attachment 132273 [details]
spec file
Comment 11 Rex Dieter 2006-07-12 11:48:52 EDT
But these are (mostly?) valid .desktop entities (see
http://standards.freedesktop.org/desktop-entry-spec/latest/apb.html) and will
break if renamed to have X- Prefixes.
Comment 12 Chitlesh GOORAH 2006-07-13 11:46:00 EDT
from /usr/share/applications/kde/ :

I saw that the DocPath of these

ksnapshot.desktop
amarok.desktop
kdevelop.desktop
krdc.desktop

are not prefixed by "X-"

So, I am ignoring these errors.

MUST Items:
- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED.
Comment 13 Rex Dieter 2006-07-13 14:45:20 EDT
Thanks, now we'll wait for fc6 to be released, and (hopefully) UnleashKDE 
start to happen.
Comment 14 Ngo Than 2007-02-27 08:42:35 EST
it's now comitted in CVS. 

Note You need to log in before you can comment on or make changes to this bug.